- [HTTP request](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1/projects.locations.collections.dataConnector/mcp#body.HTTP_TEMPLATE)
- [Query parameters](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1/projects.locations.collections.dataConnector/mcp#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1/projects.locations.collections.dataConnector/mcp#body.request_body)
- [Response body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1/projects.locations.collections.dataConnector/mcp#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1/projects.locations.collections.dataConnector/mcp#body.aspect)

dataConnector.mcp serves a MCP DELETE request.

### HTTP request

Choose an endpoint:
global us   
`DELETE https://discoveryengine.googleapis.com/v1/projects/*/locations/*/collections/*/dataConnector/mcp`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `contentType` | `string` The HTTP Content-type header value specifying the content type of the body. |
| `data` | `string (https://developers.google.com/discovery/v1/type-format format)` The HTTP request/response body as raw binary. A base64-encoded string. |
| `extensions[]` | `object` Application specific response metadata. Must be set in the first response for streaming APIs. An object containing fields of an arbitrary type. An additional field `"@type"` contains a URI identifying the type. Example: `{ "id": 1234, "@type": "types.example.com/standard/id" }`. |

### Request body

The request body must be empty.

### Response body

If successful, the response is a generic HTTP response whose format is defined by the method.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/discoveryengine.readwrite`
- `https://www.googleapis.com/auth/discoveryengine.serving.readwrite`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).